diff --git a/debian/patches/0008-fix-yarn-emoji-error.patch b/debian/patches/0008-fix-yarn-emoji-error.patch
new file mode 100644
index 000000000..39279728a
--- /dev/null
+++ b/debian/patches/0008-fix-yarn-emoji-error.patch
@@ -0,0 +1,31 @@
+yarnpkg in Debian doesn't have the --no-emoji flag anymore, so using any yarn
+command via ansible fails. The new flag (--emoji [boo]) defaults to false, so
+there's no need to pass anything.
+Index: ansible/collections-debian-merged/ansible_collections/community/general/plugins/modules/packaging/language/yarn.py
+===================================================================
+--- ansible.orig/collections-debian-merged/ansible_collections/community/general/plugins/modules/packaging/language/yarn.py
++++ ansible/collections-debian-merged/ansible_collections/community/general/plugins/modules/packaging/language/yarn.py
+@@ -205,9 +205,6 @@ class Yarn(object):
+                 cmd.append('--registry')
+                 cmd.append(self.registry)
+ 
+-            # always run Yarn without emojis when called via Ansible
+-            cmd.append('--no-emoji')
+-
+             # If path is specified, cd into that path and run the command.
+             cwd = None
+             if self.path and not self.globally:
+Index: ansible/collections-debian-merged/ansible_collections/community/general/plugins/modules/yarn.py
+===================================================================
+--- ansible.orig/collections-debian-merged/ansible_collections/community/general/plugins/modules/yarn.py
++++ ansible/collections-debian-merged/ansible_collections/community/general/plugins/modules/yarn.py
+@@ -205,9 +205,6 @@ class Yarn(object):
+                 cmd.append('--registry')
+                 cmd.append(self.registry)
+ 
+-            # always run Yarn without emojis when called via Ansible
+-            cmd.append('--no-emoji')
+-
+             # If path is specified, cd into that path and run the command.
+             cwd = None
+             if self.path and not self.globally:
diff --git a/debian/patches/series b/debian/patches/series
index b880a37b9..5da2abf08 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -2,3 +2,4 @@
 0003-preserve-debian-dir.patch
 0005-use-py3.patch
 0007-fix-interpreter-fallback.patch
+0008-fix-yarn-emoji-error.patch
